%define	version 1.1.0.20090313
%define	release %mkrel 1

Name:      ibus-table-cangjie
Summary:   ibus-cangjie - table-based engine
Epoch:     1
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: ibus-table-devel >= 1.1.0
BuildArch:	noarch
Requires:	ibus-table >= 1.1.0
Requires(post):	ibus-table >= 1.1.0
Conflicts:	ibus-table < 0.1.2

%description
ibus-table-cangjie provide CangJie input methods on IBus Table under
IBus framework.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x \
	--disable-static \
	--enable-cangjie5 \
	--enable-cangjie3
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%post
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/cangjie3.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/cangjie5.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-table/icons/*
%{_datadir}/ibus-table/tables/*.db


%changelog
* Mon Mar 16 2009 Funda Wang <fundawang@mandriva.org> 1:1.1.0.20090313-1mdv2009.1
+ Revision: 355850
- add epoch to ease upgrade
- fix version

* Sat Mar 14 2009 Funda Wang <fundawang@mandriva.org> 1.1.020090313-1mdv2009.1
+ Revision: 354803
- New version 1.1.020090313

* Sat Feb 21 2009 Funda Wang <fundawang@mandriva.org> 1.1.0.20090220-1mdv2009.1
+ Revision: 343583
- New version 1.1.0.20090220

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.1.2.20090101-2mdv2009.1
+ Revision: 324502
- create index after installing

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.1.2.20090101-1mdv2009.1
+ Revision: 324427
- import ibus-table-cangjie


